from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Radsex_Distrib_V0_1_0 = CommandToolBuilder(tool="radsex_distrib", base_command=["radsex", "distrib"], inputs=[ToolInput(tag="in_markers_table", input_type=Boolean(optional=True), prefix="--markers-table", doc=InputDocumentation(doc="TEXT:FILE                 Path to a marker depths table generated by 'process'                                                               [REQUIRED]")), ToolInput(tag="in_pop_map", input_type=Boolean(optional=True), prefix="--popmap", doc=InputDocumentation(doc="TEXT:FILE                 Path to a tabulated file specifying groups for all individuals (population map)                                    [REQUIRED]")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="TEXT                      Path to the output file (distribution of markers between groups)                                                   [REQUIRED]")), ToolInput(tag="in_min_depth", input_type=Boolean(optional=True), prefix="--min-depth", doc=InputDocumentation(doc="UINT:INT in [1 - 9999]    Minimum depth to consider a marker present in an individual                                                        [1]")), ToolInput(tag="in_groups", input_type=Boolean(optional=True), prefix="--groups", doc=InputDocumentation(doc="TEXT                      Names of the groups to compare if there are more than two groups in the popmap (--groups group1,group2)")), ToolInput(tag="in_sign_if_threshold", input_type=Boolean(optional=True), prefix="--signif-threshold", doc=InputDocumentation(doc="FLOAT:FLOAT in [0 - 1]    P-value threshold to consider a marker significantly associated with a phenotypic group                            [0.05]")), ToolInput(tag="in_disable_correction", input_type=Boolean(optional=True), prefix="--disable-correction", doc=InputDocumentation(doc="If set, Bonferroni correction will NOT be used when assessing significance of association with phenotypic group"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="TEXT                      Path to the output file (distribution of markers between groups)                                                   [REQUIRED]"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Radsex_Distrib_V0_1_0().translate("wdl", allow_empty_container=True)

